package com.ruoyi.abuwx.service.impl;

import com.ruoyi.abuwx.domain.QuestionTask;
import com.ruoyi.abuwx.mapper.QuestionTaskMapper;
import com.ruoyi.abuwx.service.IQuestionTaskService;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 每日答题任务管理Service业务层处理
 *
 * @author lujie
 * @date 2025-01-07
 */
@Service
public class QuestionTaskServiceImpl implements IQuestionTaskService {
    @Autowired
    private QuestionTaskMapper questionTaskMapper;

    /**
     * 查询每日答题任务管理
     *
     * @param id 每日答题任务管理主键
     * @return 每日答题任务管理
     */
    @Override
    public QuestionTask selectQuestionTaskById(Long id) {
        return questionTaskMapper.selectQuestionTaskById(id);
    }

    /**
     * 查询每日答题任务管理列表
     *
     * @param questionTask 每日答题任务管理
     * @return 每日答题任务管理
     */
    @Override
    public List<QuestionTask> selectQuestionTaskList(QuestionTask questionTask) {
        return questionTaskMapper.selectQuestionTaskList(questionTask);
    }

    /**
     * 新增每日答题任务管理
     *
     * @param questionTask 每日答题任务管理
     * @return 结果
     */
    @Override
    public int insertQuestionTask(QuestionTask questionTask) {
        questionTask.setCreateTime(DateUtils.getNowDate());
        return questionTaskMapper.insertQuestionTask(questionTask);
    }

    /**
     * 修改每日答题任务管理
     *
     * @param questionTask 每日答题任务管理
     * @return 结果
     */
    @Override
    public int updateQuestionTask(QuestionTask questionTask) {
        questionTask.setUpdateTime(DateUtils.getNowDate());
        return questionTaskMapper.updateQuestionTask(questionTask);
    }

    /**
     * 批量删除每日答题任务管理
     *
     * @param ids 需要删除的每日答题任务管理主键
     * @return 结果
     */
    @Override
    public int deleteQuestionTaskByIds(Long[] ids) {
        return questionTaskMapper.deleteQuestionTaskByIds(ids);
    }

    /**
     * 删除每日答题任务管理信息
     *
     * @param id 每日答题任务管理主键
     * @return 结果
     */
    @Override
    public int deleteQuestionTaskById(Long id) {
        return questionTaskMapper.deleteQuestionTaskById(id);
    }
}
